Bug 24537 - mcs ignores missing bracket
Summary: mcs ignores missing bracket
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2014-11-14 12:43 UTC by Rolf Bjarne Kvinge [MSFT]
Modified: 2014-11-18 08:14 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Rolf Bjarne Kvinge [MSFT] 2014-11-14 12:43:27 UTC
Test case:

    using System.Runtime.InteropServices;
    public class TestApp {
        static void Main ([MarshalAs (UnmanagedType.LPStr) string[] args) {}
    }

The attribute on the parameter is missing a ]

Expected behavior: compiler error.
Actual behavior: successful compilation.

> mono --version
Mono JIT compiler version 3.10.0 ((detached/633e444 Thu Oct  2 22:07:37 EDT 2014)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
	TLS:           normal
	SIGSEGV:       altstack
	Notification:  kqueue
	Architecture:  x86
	Disabled:      none
	Misc:          softdebug 
	LLVM:          yes(3.4svn-mono-(detached/e656cac)
	GC:            sgen
Comment 1 Marek Safar 2014-11-18 08:14:28 UTC
Fixed in master

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 24537 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: